#include <bits/stdc++.h>

using namespace std;

int main()
{
    int i, j, n; scanf("%d", &n);
    vector<int> knjige(n), cifre(10, -1);
    bool con = false;

    for(i = 0; i < n; ++i)
    {
        scanf("%d", &(knjige[i]));
        cifre[knjige[i]] = i;
    }

    i = 0;
    int f = n - 2;

    while(i < f)
    {
        j = 9;
        while(j >= 0 && knjige[i] < j)
        {
            if(i < cifre[j])
            {
                swap(knjige[i], knjige[cifre[j]]);
                con = true;
                break;
            }
            j--;
        }
        if(con == true) break;
        ++i;
    }

    if(i == f) swap(knjige[i], knjige[i + 1]);

    for(i = 0; i < n; ++i) printf("%d ", knjige[i]);
    
    return 0;
}